
Prewikka - Bug #262

Problem adding users with Prewikka  0.9.12.1

09/20/2007 10:14 PM - 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.13   

Resolution: fixed   

Description

When trying to add new users with Prewikka 0.9.12.1 the login is changed to this (where <username> is the user name entered):

['None', '<username>']

I don't know Python so I couldn't properly fix it, but I traced the problem to this:

views/usermanagement.py and templates/UserSettings.py use a hidden "login" parameter to keep track of the user currently being

edited. When a new user is added, the same template is used and the HTML code sent to the browser contains those two tags:

<input type="hidden" name="login" value="None"/>

<input type="text" name="login"/>

On the POST request the browser sends back this string (with two login= parameters):

view=user_settings_add&login=None&login=<username>&language=en&permissions=<some_perms>&password_new=<password>

&password_new_confirmation=<password>

And some Python magic make the user appear as described above.

Associated revisions

Revision 3f0e1fc8 - 09/24/2007 12:20 PM - Yoann VANDOORSELAERE

Only add the hidden login field in case the username is already known.

This fixes #262.

History

#1 - 09/24/2007 12:19 PM - Yoann VANDOORSELAERE

- Status changed from New to Assigned

#2 - 09/24/2007 12:20 PM - Yoann VANDOORSELAERE

- Status changed from Assigned to Closed

- Resolution set to fixed

(In r9939) Only add the hidden login field in case the username is already known.

This fixes #262.

#3 - 04/29/2009 12:21 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prewikka

- Category deleted (5)

- Target version deleted (0.9.13)
